<?php
/**
 * MenuEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * MenuEnum Class Doc Comment
 *
 * @category Class
 * @description Экземпляр меню:   * &#x60;header_main&#x60; - Основное меню в хедере   * &#x60;header_help&#x60; - Вспомогательное меню в хедере   * &#x60;footer_main&#x60; - Основное меню в футере
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class MenuEnum
{
    
    /** Основное меню в хедере */
    public const HEADER_MAIN_MENU_CODE = 'header_main';
    
    /** Вспомогательное меню в хедере */
    public const HEADER_HELP_MENU_CODE = 'header_help';
    
    /** Основное меню в футере */
    public const FOOTER_MAIN_MENU_CODE = 'footer_main';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::HEADER_MAIN_MENU_CODE,
            self::HEADER_HELP_MENU_CODE,
            self::FOOTER_MAIN_MENU_CODE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::HEADER_MAIN_MENU_CODE => 'Основное меню в хедере',
            self::HEADER_HELP_MENU_CODE => 'Вспомогательное меню в хедере',
            self::FOOTER_MAIN_MENU_CODE => 'Основное меню в футере',
        ];
    }
}


